from odoo import models, fields, api


class PosPaymentMethod(models.Model):
    _name = "pos.payment.method"
    _inherit = ['pos.payment.method', 'pos.load.mixin']

    is_credit_note = fields.Boolean("Usar para Nota de Crédito")

    @api.model
    def _load_pos_data_fields(self, config_id):
        rstl = super()._load_pos_data_fields(config_id)
        rstl.append('is_credit_note')
        return rstl

    @api.constrains('is_credit_note')
    def _check_is_credit_note(self):
        for record in self:
            if record.is_credit_note:
                if not record.split_transactions:
                    raise models.ValidationError(
                        'Identificar al cliente debe estar marcado si este método de pago es para nota de crédito.')

                if record.journal_id:
                    raise models.ValidationError(
                        'El diario debe estar vacío si este método de pago es para nota de crédito.')
